
package de.ivu.elect.dokumente.ergebnis;

import java.util.List;

import de.ivu.document.generator.template.BaseDocument;
import de.ivu.elect.business.ergebnis.control.ErgebnisDaten;
import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.dokumente.WasElectContext;

public class ErgebnisDatenCustomDataDocument extends BaseDocument {

  private static final long serialVersionUID = 1L;

  private final WasElectContext wasElectContext;

  private final Stimmabgabeart stimmabgabeart;

  public ErgebnisDatenCustomDataDocument(WasElectContext wasElectContext, ErgebnisDaten ergebnisDaten, List<Wahldurchfuehrungsgebiet> auswertungsgebiete, Stimmabgabeart stimmabgabeart) {
    super();

    this.wasElectContext = wasElectContext;

    this.stimmabgabeart = stimmabgabeart;
  }

  protected Stimmabgabeart getStimmabgabeart() {
    return stimmabgabeart;
  }

  protected String getMessage(String msgKey, Object... params) {
    return wasElectContext.getMessage(msgKey, params);
  }

  protected String getMessage(Enum< ? > enumValue) {
    return wasElectContext.getMessage(enumValue);
  }
}
